org.apache.ignite.internal.processors.cache.query.reducer

## Class UnsortedCacheQueryReducer<R>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridIteratorAdapter<T>
  - - org.apache.ignite.internal.processors.cache.query.reducer.CacheQueryReducer<R>
    - - org.apache.ignite.internal.processors.cache.query.reducer.UnsortedCacheQueryReducer<R>

All Implemented Interfaces:
  Serializable, Iterable<R>, Iterator<R>, GridSerializableIterator<R>, GridIterator<R>

    public class UnsortedCacheQueryReducer<R>
    extends CacheQueryReducer<R>

Reducer of cache query results, no ordering of results is provided.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.query.reducer.CacheQueryReducer

`pageStreams`

### Constructor Summary

Constructors
Constructor and Description
`UnsortedCacheQueryReducer(Map<UUID,NodePageStream<R>> pageStreams)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNextX()` This method is the same as `Iterator.hasNext()`, but allows for failure with exception.
`R` `nextX()` This method is the same as `Iterator.next()`, but allows for failure with exception.

### Methods inherited from class org.apache.ignite.internal.processors.cache.query.reducer.CacheQueryReducer

`get, removeX`

### Methods inherited from class org.apache.ignite.internal.util.lang.GridIteratorAdapter

`hasNext, iterator, next, remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Constructor Detail

#### UnsortedCacheQueryReducer

    public UnsortedCacheQueryReducer(Map<UUID,NodePageStream<R>> pageStreams)

### Method Detail

#### hasNextX

    public boolean hasNextX()
                     throws IgniteCheckedException

This method is the same as `Iterator.hasNext()`, but allows for failure with exception. Often iterators are used to iterate through values that have not or have partially been received from remote nodes, and need to account for possible network failures, rather than just returning `false` out of `Iterator.hasNext()` method.

Returns:
  `True` if iterator contains more elements.
Throws:
  `IgniteCheckedException` - If no more elements can be returned due to some failure, like a network error for example.
See Also:
  `Iterator.hasNext()`

#### nextX

    public R nextX()
            throws IgniteCheckedException

This method is the same as `Iterator.next()`, but allows for failure with exception. Often iterators are used to iterate through values that have not or have partially been received from remote nodes, and need to account for possible network failures, rather than throwing `NoSuchElementException` runtime exception.s

Returns:
  `True` if iterator contains more elements.
Throws:
  `IgniteCheckedException` - If no more elements can be returned due to some failure, like a network error for example.
See Also:
  `Iterator.next()`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022